% -*-LaTeX-*-
% <BEEBE.TR2TEX>TROFFMAN.STY.6, 24-Feb-87 09:53:53, Edit by BEEBE
% These macros are intended to be referenced by a LaTeX
% \documentstyle[troffman]{article}
% command.  You can insert an 11pt or 12pt option if you like larger
% type--sizes set here are computed from the LaTeX point size setting.
% Size values have been chosen to closely match Unix manual page
% documents, which are actually too wide and too high for good
% typographic taste and readability.
%% Troffman customisation 
%% Added by J.P.Chancelier 21-avril-1993


\hbadness=10000                 % do not want underfull box messages--there are
                                % usually lots in man pages
\hfuzz=\maxdimen                % no overfull box messages either

\newcommand{\bs}{$\backslash$}
\def\under{\underline}
\def\dotdot{\ddot}
\def\nwl{\hfill\break}          % similar to LaTex's \newline but does not
                                % complain if there is no line to break
\def\ind#1{\par\everypar{\hangindent=#1\hangafter=0\hskip-\parindent}}
\def\tmpind#1{\par\hskip#1}
\newenvironment{SEPcntr}{\begin{center}}{\end{center}}
\def\cntr#1{\begin{SEPcntr} #1 \end{SEPcntr}}
% displayed text, indented, justification off
\def\displaybegin{\par\begingroup\medskip\narrower\narrower\noindent
                  \obeylines\obeyspaces}
\def\displayend{\endgroup\smallskip\noindent}
% fill and nofill
\def\nofill{\par\begingroup\noindent\obeylines
    \frenchspacing\@vobeyspaces\linepenalty1000}
{\catcode`\ =\active\gdef\@vobeyspaces{\catcode`\ \active \let \@xobeysp}}
\def\@xobeysp{\leavevmode{} }
\def\fill{\endgroup\noindent}

% define a boxing macro
\def\boxit#1{\vbox{\hrule\hbox{\vrule\kern10pt\vbox{\medskip\kern5pt#1\bigskip
\kern5pt}\kern10pt\vrule}\hrule}}

% try this TPlist environment
\newcommand{\TPlistlabel}[1]{\mbox{#1}\hfil}
\newenvironment{TPlist}[1]{
\begin{list}{}
    {
      \let\makelabel\TPlistlabel
      \settowidth{\labelwidth}{#1mm}
      \setlength{\leftmargin}{\parmargin}       % all paragraphs have this much
      \addtolength{\leftmargin}{\labelwidth}    % space for label
    }
  }{
\end{list}}

%% Begin a new doc 

\def\phead#1#2#3#4#5{%
  \renewcommand{\@oddhead}{\underline{\hbox to \textwidth{#1 \hfill #5}}}
  \renewcommand{\@oddfoot}{\mbox{\hbox to \textwidth{#4\hfill #3\hfill \rm\thepage}}}
  \renewcommand{\@evenfoot}{\@oddfoot}%
  \renewcommand{\@evenhead}{\@oddhead}%
}
\setcounter{secnumdepth}{3}
% multi-line left-justified subheading
% since we want to use #1 as an index entry we must 
\def\Sdoc#1#2{
        \typeout{[#1]}% maybe temporary, but nice for progress report
	\subsection{{ #1} \hrulefill { #2}}
}
\def\SSdoc#1#2{
        \typeout{[#1]}% maybe temporary, but nice for progress report
	\subsubsection{{ #1} \hrulefill { #2}}
}

%  \def\index{\@bsphack\begingroup
%             \def\protect####1{\string####1\space}\@sanitize
%             \@wrindex}\typeout
%  {Writing index file \jobname.idx }\fi}
% 
%\def\@wrindex#1{\let\thepage\relax
%   \edef\@tempa{\write\@indexfile{\string
%      \indexentry{#1}{\thepage}}}\expandafter\endgroup\@tempa
%   \if@nobreak \ifvmode\nobreak\fi\fi\@esphack}
 


% Headings for .SH 

%\def\Shead#1{\noindent\paragraph{\small\uppercase{#1}~:}}
\def\Shead#1{\smallskip\par\noindent{\small\bf{\uppercase{#1}~:\par\noindent}}}
\def\Seealso#1{\smallskip\par\noindent{\sc See Also}~:}
\def\Sauthor#1{\smallskip\par\hfill{\small\sc Author}~:}

% For stuff to ignore 
\def\ignore#1{}

%% Changing the default description Mode 

\def\scitemlabel#1{\hspace\labelsep#1}

\def\scitem{\list{}{\labelwidth\z@ \itemindent-\leftmargin 
	\itemsep=-\parsep \let\makelabel\scitemlabel}}

\let\endscitem\endlist

\let\undertext=\underline

\def\trait{\begin{flushleft}\mbox{\hbox to \textwidth{\hrulefill}}
	\end{flushleft}}
